{% extends 'base.html.twig' %}

{% block title %}Page de {{ user.fullName}}{% endblock %}

{% block body %}
<div class="container mat7">
    <div class="row align-item-center mb-5">
        <div class="col-3 text-center">
            <img src="{{user.picture}}" class="avatar mb-3" alt="Avatar de {{user.fullName}}" />
            <br/>
            <span class="badge badge-primary">{{user.ads | length}} annonces</span>
        </div>
        <div class="col-9">
            <h1>{{user.fullName}}</h1>
            {% if user is same as(app.user) %}
                <div class="mt-3">
                    <a href="{{path('account_profile')}}" class="btn btn-primary mr-2 mb-2">
                        Modifier mes informations
                    </a>
                    <a href="{{path('account_password')}}" class="btn btn-primary mb-2">
                        Modifier mon mot de passe
                    </a>
                </div>
            {% endif %}
        </div>
    </div>

    {{user.description | raw}}
    <hr>
    <h2>Les annonces de {{user.fullName}}</h2>
    {% if user.ads | length > 0 %}
        <div class="row">
            {% for ad in user.ads %}
                {% include 'ad/_ad.html.twig' %}
            {% endfor %}
        </div>
    {% else %}
        <div class="alert alert-warning">
            <p>
                <strong>{{user.fullName}}</strong> n'a pas encore d'annonce sur le site !
            </p>
        </div>
    {% endif %}
</div>
{% endblock %}
